import { renderless, api } from "@dftvue2-opentiny/vue-renderless/ip-address/vue";
import { defineComponent, props, setup as _setup } from "@dftvue2-opentiny/vue-common";
import { iconDotIpv4 } from "@dftvue2-opentiny/vue-icon";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  props: [].concat(props, ["size", "modelValue", "type", "readonly", "disabled", "delimiter"]),
  emits: ["update:modelValue", "change", "blur", "focus", "select", "inputEvent"],
  components: {
    IconDotIpv4: iconDotIpv4()
  },
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-ip-address"
  }, [_c("ul", {
    class: {
      active: _vm.state.active,
      disabled: _vm.state.disabled,
      "tiny-ip-address__input": true
    },
    style: _vm.state.heightStyle
  }, _vm._l(_vm.state.address, function(item, index) {
    return _c("li", {
      key: index,
      style: _vm.state.lineHeightStyle
    }, [_c("input", {
      directives: [{
        name: "model",
        rawName: "v-model",
        value: item.value,
        expression: "item.value"
      }],
      ref: "inputs",
      refInFor: true,
      style: _vm.state.allHeightStyle,
      attrs: {
        "readonly": _vm.readonly,
        "disabled": _vm.state.disabled,
        "type": "text",
        "tabindex": "1"
      },
      domProps: {
        "value": item.value
      },
      on: {
        "select": function select($event) {
          return _vm.select({
            value: item,
            index,
            event: $event
          });
        },
        "focus": function focus($event) {
          return _vm.focus({
            index,
            event: $event
          });
        },
        "input": [function($event) {
          if ($event.target.composing)
            return;
          _vm.$set(item, "value", $event.target.value);
        }, function($event) {
          return _vm.inputEvent({
            item,
            index
          });
        }],
        "change": _vm.change,
        "blur": function blur($event) {
          return _vm.blur({
            item,
            index
          });
        },
        "keyup": function keyup($event) {
          return _vm.keyup({
            item,
            index,
            event: $event
          });
        },
        "keydown": function keydown($event) {
          return _vm.keydown({
            item,
            index,
            event: $event
          });
        }
      }
    }), index < _vm.state.address.length - 1 ? [_vm._t("default", function() {
      return [_vm.type === "IPv6" && _vm.delimiter === "icon-dot-ipv4" ? _c("span", {
        staticClass: "tiny-ip-address__input__ipv6-delimiter"
      }, [_vm._v(":")]) : _c(_vm.delimiter, {
        tag: "component",
        staticClass: "tiny-svg-size"
      })];
    }, {
      "slotScope": {
        state: _vm.state,
        index,
        item
      }
    })] : _vm._e()], 2);
  }), 0)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
